#include "libscl.h"
using namespace std;
using namespace scl;

int main()
{

  vector<intvec>::const_iterator itr;
  vector<intvec> midx;
  
  midx = multi(1,3,3);
  for (itr=midx.begin(); itr!=midx.end(); ++itr) 
    cout << itr->tostring() << '\n';

  cout << '\n';

  midx = multi(0,2,3);
  for (itr=midx.begin(); itr!=midx.end(); ++itr) 
    cout << itr->tostring() << '\n';


  return 0;
}
